Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.tagvalue
Interface StateMachine.State

All Known Implementing Classes:
  StateMachine.BasicState

Enclosing class:
  StateMachine

    public static interface StateMachine.State

Interface for a State within this StateMachine

Method Summary
`String` | `getLabel()`
`TagValueListener` | `getListener()`
`void` | `transit(Object tag)`

Method Detail

### getLabel

    String getLabel()

### getListener

    TagValueListener getListener()

### transit

    void transit(Object tag)
                 throws ParserException

  Throws:
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD